QGIS Application - Bug report #275
Crash when viewing attribute table
2006-09-19 02:25 AM - Irntct-gmail-com -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Digitising

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 10334
Description

When | try to view an attribute table of a shapefile feature, Qgis 0.8 preview 2 crash silently.
It appear with Qgis's Alaska sample dataset and other shapfiles | have.

It's strange because the first time | ran Qgis after download it, things worked fine.
| tried to edit an attribute, it worked. But after the save, when | ask the feature for attributes, Qgis crashed. Now, Qgis crash every time |
try to view an attribute table.

History

#1 - 2006-10-21 06:39 PM - Gavin Macaulay -

Try preview 3 when it's released. A recent changes may have fixed this (commit:c1b91990 (SVN r5993)).

#2 - 2006-11-10 07:46 PM - Gavin Macaulay -

Please try the windows version at http://qgis.org/uploadfiles/testbuilds/. My testing indicates that this problem has been resolved.

#3 - 2006-11-13 02:16 AM - Irntct-gmail-com -

I've tested with the last link version. Qgis crash when | try to load a shapefile. Windows display a dialog box saying :

"QGis as gererated errors... An error log is being created."

#4 - 2006-11-13 11:21 AM - Gavin Macaulay -

Works for me. Can you attach the shapefile?

#5 - 2006-11-13 01:57 PM - anonymous -

I've tested with the Alaska dataset.

#6 - 2006-12-04 05:41 AM - Martin Dobias

Does it crash for any shapefile or just some shapefiles?
What about other backends - e.g. delimited text or GPX provider - does opening attribute table crash also with them?

Using original Alaska shapefile crashes QGIS also?

Please try to specify the problem with as much details as possible to allow as to narrow down the possible reasons of the crash.

The best would be if you installed Dr. Mingw and provided us with backtrace of the crash.

#7 - 2006-12-04 06:32 AM - Irntct-gmail-com -

I've just downloaded latest build here :
http://qgis.org/uploadfiles/testbuilds/

| can't even load a file, raster or vector, Qgis crash. Dr. Mingw give the following :

qgis.exe caused an Access Violation at location 02787b42 in module proj.dll Writing to location 3d726968.
Registers:

eax=027b0c80 ebx=0000004f ecx=3d726964 edx=027c078c esi=00000000 edi=6e697700
eip=02787b42 esp=0022a214 ebp=0022a234 iopl=0 nv up ei pl nz ac po nc

cs=001b ss=0023 ds=0023 es=0023 fs=003b gs=0000 efl=00200216

Call stack:
02787B42 proj.dil:02787B42 pj_init_plus

or:
qgis.exe caused an Access Violation at location 02787b42 in module proj.dll Writing to location 3d726968.
Registers:

eax=027b0c80 ebx=0000005f ecx=3d726964 edx=027c077c esi=00000000 edi=6e697700
€ip=02787b42 esp=0022a194 ebp=0022a1b4 iopl=0 nv up ei pl nz ac ponc

cs=001b ss=0023 ds=0023 es=0023 fs=003b gs=0000 efl=00200216

Call stack:
02787B42 proj.dll:02787B42 pj_init_plus

With a older version of Qgis (compiled with Qt4.1), | can load a vector, but when | try to view the attribute table, qgis crash silently, no reaction from Dr.

Mingw. It do the same with differents shp files. The Alaska Qgis dataset make qgis crash too.

A gpx file from GPS is working, though.

#8 - 2006-12-08 11:46 AM - Martin Dobias

Ummm, this is tough. It seems that crash is happening in Proj4 library... | have two ideas for now:

- try using proj4 library from FWTools (http:/fwtools.maptools.org/) | think you'll need to rename it from proj_fw.dll to proj.dil and copy to QGIS directory

- try using QGIS debug version - maybe something interesting will be reported to console

Martin
#9 - 2006-12-14 09:00 PM - Gary Sherman
- Status changed from Open to Closed

- Resolution set to worksforme

This can't be duplicated -- | suspect it may be due to a library conflict or multiple versions of DLLs that aren't playing nicely. Try deleting old Qt and all QGIS
versions from your machine and doing a clean install of QGIS.

I'm closing this bug. You can reopen it if the problem persists in the upcoming preview 3 release and you can provide more details to troubleshoot it.

#10 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
